@tool
extends Resource
class_name MaskResource

enum Region {
	EYES, 
	MOUTH,
}

@export_category("General")
@export var mask_sprite: Texture2D:
	set(value):
		mask_sprite = value
		changed.emit()

@export var region: Region:
	set(value):
		region = value
		changed.emit()

@export_category("Stimuli")
@export var stimuli: Trait.Stimuli:
	set(value):
		stimuli = value
		changed.emit()
@export var stimuli_multiplier: float = 1.0:
	set(value):
		stimuli_multiplier = value
		changed.emit()

@export_category("Category")
@export var category: Trait.Category:
	set(value):
		category = value
		changed.emit()
@export var category_multiplier: float = 1.0:
	set(value):
		category_multiplier = value
		changed.emit()

@export_category("Tags")
@export var tags_multipliers: Dictionary[Trait.Tag, CharacterResource.Preference]:
	set(value):
		tags_multipliers = value
		changed.emit()
